Slowdowns and some games doesn't launch with Nvidia 331.20
Hi ! I'm under Archlinux and I got some troubles with games since the 331.20 update. I'm unable to launch Tetrobot and Co. anymore with Steam for Linux And I got some slowdown with Portal 2 under Wine and with Super Meat Boy that I didn't had before. Counter Strike : GO sometimes stop itself with wine. Before, it worked perfectly Here is my nvidia-bug-report.sh Thanks ! EDIT : Other problem : When I launch a youtube video with Flashplayer with Firefox, if I right click near to it, the X server freeze.
Hi ! I'm under Archlinux and I got some troubles with games since the 331.20 update.
I'm unable to launch Tetrobot and Co. anymore with Steam for Linux
And I got some slowdown with Portal 2 under Wine and with Super Meat Boy that I didn't had before.
Counter Strike : GO sometimes stop itself with wine. Before, it worked perfectly
Here is my nvidia-bug-report.sh
Thanks !
EDIT : Other problem : When I launch a youtube video with Flashplayer with Firefox, if I right click near to it, the X server freeze.

#1
Posted 11/17/2013 08:59 PM   
Hello, I'm also experiencing freezes with the 331.20 drivers (when starting some custom OpenGL visualizer that I use regularly). Because I needed to continue working I downgraded(*) to 325.15 quickly (before I was able to test more, for instance Flash). I was able to ssh into the machine when it froze and dmesg showed Xid 31 errors from the nvidia driver. @ Letik: Your log doesn't show such errors as far as I can see. Have you tried ssh'ing into the machine after the freeze and run nvidia-bug-report.sh then? Also, the Xorg log shows that you appear to be running some framebuffer console which is said to be unsupported by the nvidia driver (however I'm using the nomodeset kernel parameter and I'm still experiencing problems, so maybe that doesn't really matter here). (*) Note for Arch users: "Downgraded" means I installed the latest 325.15 versions of nvidia nvidia-utils nvidia-libgl lib32-nvidia-utils lib32-nvidia-libgl Maybe the latest 325.15 version in the repos will work with kernel 3.12, however I downloaded the PKGBUILDs and makepkg'd them manually.
Hello,

I'm also experiencing freezes with the 331.20 drivers (when starting some custom OpenGL visualizer that I use regularly). Because I needed to continue working I downgraded(*) to 325.15 quickly (before I was able to test more, for instance Flash). I was able to ssh into the machine when it froze and dmesg showed Xid 31 errors from the nvidia driver.

@ Letik: Your log doesn't show such errors as far as I can see. Have you tried ssh'ing into the machine after the freeze and run nvidia-bug-report.sh then? Also, the Xorg log shows that you appear to be running some framebuffer console which is said to be unsupported by the nvidia driver (however I'm using the nomodeset kernel parameter and I'm still experiencing problems, so maybe that doesn't really matter here).

(*) Note for Arch users: "Downgraded" means I installed the latest 325.15 versions of
nvidia
nvidia-utils
nvidia-libgl
lib32-nvidia-utils
lib32-nvidia-libgl
Maybe the latest 325.15 version in the repos will work with kernel 3.12, however I downloaded the PKGBUILDs and makepkg'd them manually.

#2
Posted 11/18/2013 06:05 PM   
Thanks for you answer. Anyway, I don't have anything in my dmesg.. I just have that, I don't know if it's relative : [code][ 578.726222] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X [ 1003.323280] perf samples too long (2771 > 2500), lowering kernel.perf_event_max_sample_rate to 50100 [ 1274.323369] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X [ 1551.175577] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X [ 3385.015660] perf samples too long (5104 > 4990), lowering kernel.perf_event_max_sample_rate to 25200 [ 5588.857429] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X [ 5636.843446] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X[/code] Some unsupported framebuffer console... like what ? Thanks for the tips, but I'm more lazy and I get the packets here haha : http://seblu.net/a/arm/ ftp://seblu.net/archlinux/arm/ EDIT : Doesn't work with Linux 3.12, if you always have your PKGBUILD for nvidia 325.15, I'm interested in :) Thanks!
Thanks for you answer. Anyway, I don't have anything in my dmesg..
I just have that, I don't know if it's relative :
[  578.726222] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X
[ 1003.323280] perf samples too long (2771 > 2500), lowering kernel.perf_event_max_sample_rate to 50100
[ 1274.323369] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X
[ 1551.175577] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X
[ 3385.015660] perf samples too long (5104 > 4990), lowering kernel.perf_event_max_sample_rate to 25200
[ 5588.857429] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X
[ 5636.843446] nvidia 0000:01:00.0: irq 49 for MSI/MSI-X

Some unsupported framebuffer console... like what ?

Thanks for the tips, but I'm more lazy and I get the packets here haha :
http://seblu.net/a/arm/
ftp://seblu.net/archlinux/arm/

EDIT : Doesn't work with Linux 3.12, if you always have your PKGBUILD for nvidia 325.15, I'm interested in :) Thanks!

#3
Posted 11/18/2013 09:49 PM   
Letik, Are you using steam on linux OR with wine ? What previous driver worked for you ?
Letik, Are you using steam on linux OR with wine ? What previous driver worked for you ?

Thanks,
Sandip.

#4
Posted 11/20/2013 01:07 PM   
Hello, I will try to attach the PKGBUILDs I used to this message (may take some time until the attachment appears, I think). I hope that I have included everything that's necessary to build the packages. And what I meant by framebuffer console was basically using some higher-resolution text console (outside of X) instead of a basic VGA console. Using the "nomodeset" kernel parameter should do the trick - I'm not sure if using a higher resolution in GRUB2 also causes usage of "non-VGA-console" modes when booting the kernel. The log messages in your bug report I'm referring to are: [code] [ 26.707232] NVRM: Your system is not currently configured to drive a VGA console [ 26.707235] NVRM: on the primary VGA device. The NVIDIA Linux graphics driver [ 26.707237] NVRM: requires the use of a text-mode VGA console. Use of other console [ 26.707238] NVRM: drivers including, but not limited to, vesafb, may result in [ 26.707239] NVRM: corruption and stability problems, and is not supported. [/code] But still - I doubt that this is the problem here.
Hello,

I will try to attach the PKGBUILDs I used to this message (may take some time until the attachment appears, I think). I hope that I have included everything that's necessary to build the packages.

And what I meant by framebuffer console was basically using some higher-resolution text console (outside of X) instead of a basic VGA console. Using the "nomodeset" kernel parameter should do the trick - I'm not sure if using a higher resolution in GRUB2 also causes usage of "non-VGA-console" modes when booting the kernel. The log messages in your bug report I'm referring to are:

[   26.707232] NVRM: Your system is not currently configured to drive a VGA console
[ 26.707235] NVRM: on the primary VGA device. The NVIDIA Linux graphics driver
[ 26.707237] NVRM: requires the use of a text-mode VGA console. Use of other console
[ 26.707238] NVRM: drivers including, but not limited to, vesafb, may result in
[ 26.707239] NVRM: corruption and stability problems, and is not supported.


But still - I doubt that this is the problem here.
Attachments

325.tar.gz

#5
Posted 11/20/2013 05:30 PM   
Hi ! @sandipt : Yes, I'm using Steam for Linux for Tetrobot, Super Meat Boy etc. And I'm using steam through wine to launch Portal 2. The nvidia 325.15 drivers worked fine. @0chi : Thank you ! My problem was about the missing patch I think, because I had this problem [code]echo >&2; \ echo >&2 " ERROR: Kernel configuration is invalid."; \ echo >&2 " include/generated/autoconf.h or include/config/auto.conf are missing.";\ echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \ echo >&2 ; \[/code] When I tried to makepkg nvidia 325.15. Oh thank you for the explication ! I'm using these parameters for a long time and they never was the source of problem.. So, I doubt this is the problem too..
Hi !
@sandipt : Yes, I'm using Steam for Linux for Tetrobot, Super Meat Boy etc. And I'm using steam through wine to launch Portal 2.
The nvidia 325.15 drivers worked fine.
@0chi : Thank you ! My problem was about the missing patch I think, because I had this problem
echo >&2; \
echo >&2 " ERROR: Kernel configuration is invalid."; \
echo >&2 " include/generated/autoconf.h or include/config/auto.conf are missing.";\
echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \
echo >&2 ; \

When I tried to makepkg nvidia 325.15.
Oh thank you for the explication ! I'm using these parameters for a long time and they never was the source of problem.. So, I doubt this is the problem too..

#6
Posted 11/20/2013 05:38 PM   
Scroll To Top